package com.crm.ucard.dao.mapper;

import com.crm.rely.backend.core.dto.ucard.GlobalCurrenciesDropdownListDto;
import com.crm.rely.backend.core.dto.wasabi.WasabiAvailableCurrenciesListDto;
import com.crm.rely.backend.core.entity.ucard.GlobalCurrenciesPageListEntity;
import com.crm.rely.backend.core.pojo.table.ucard.CardGlobalCurrenciesTable;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CardGlobalCurrenciesMapper {

    void batchSave(List<CardGlobalCurrenciesTable> list);

    void deleteAll();

    Integer countList(GlobalCurrenciesPageListEntity entity);

    List<WasabiAvailableCurrenciesListDto> pageList(GlobalCurrenciesPageListEntity entity);

    List<GlobalCurrenciesDropdownListDto> dropdownList();

    List<GlobalCurrenciesDropdownListDto> findAllByStatus(@Param("status") String status);
}
